Get legal entity data from organization integrated with external benefits vendor
Get legal entity data from organization integrated with external benefits vendor
Token scopes: organizations:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
id
Id from the legal entity to fetch data
Response
Successful operation.
id
Unique identifier for the legal entity.
name
Name of the legal entity.
phone
Phone number of the legal entity.
vat_id
VAT ID of the legal entity, known as EIN in the US.
address
Address of the legal entity.
country
Country of the legal entity.
naics_code
NAICS code of the legal entity.
entity_type
Type of the legal entity (e.g., LLC).
employment_type
Employment type of the legal entity.
Allowed values:
registration_number
Registration number of the legal entity.
registration_address
Registration address of the legal entity.
union_or_leased_employees
Indicates if the legal entity has union or leased employees.